# SPDX-License-Identifier: BSD-3-Clause
---
- name: Run playbook 'tests_default.yml' with initscripts as provider
  hosts: all
  tasks:
    - name: Include the task 'el_repo_setup.yml'
      include_tasks: tasks/el_repo_setup.yml
    - name: Set network provider to 'initscripts'
      set_fact:
        network_provider: initscripts

- name: Import the playbook 'tests_default.yml'
  import_playbook: tests_default.yml
  when: (ansible_distribution in ['CentOS','RedHat'] and
    ansible_distribution_major_version | int < 9)
